## imdb-tools 0.5

=== Makefile ===
# Very simple, build manpages
#

PREFIX?=/usr/local
BINPREFIX?=$(PREFIX)/bin
MANPREFIX?=$(PREFIX)/share/man
DOCPREFIX?=$(PREFIX)/share/doc/imdb-tools

VERSION=0.5

all: man bin

man: man/imdb-get.1 man/imdb-rename.1 man/imdb-link.1 man/imdb-update-cache.1 man/imdbgetrc.5 man/imdb.1 man/imdb-fxd.1

bin: bin/imdb-get bin/imdb-rename bin/imdb-link bin/imdb-update-cache bin/imdb bin/imdb-fxd

clean:
	rm -rf man bin
	rm -f .mandir .bindir .dist
	rm -rf imdb-tools-$(VERSION)
	rm -f imdb-tools-$(VERSION).tar.gz

.mandir:
	mkdir -p man
	touch .mandir

.bindir:
	mkdir -p bin
	touch .bindir

man/%.1: %.sgml .mandir
	docbook-to-man $< > $@
%.1: %.sgml .mandir
	docbook-to-man $< > $@
man/%.5: %.sgml .mandir
	docbook-to-man $< > $@
%.5: %.sgml .mandir
	docbook-to-man $< > $@

bin/%: %.sh .bindir
	sed "s,%PREFIX%,$(PREFIX),;s,%VERSION%,$(VERSION),"  < $< > $@
	chmod +x $@

install: install-bin install-man install-doc
	
install-bin: bin/imdb-get bin/imdb-rename bin/imdb-link bin/imdb-update-cache bin/imdb bin/imdb-fxd
	install -d $(DESTDIR)$(BINPREFIX)
	install $^ $(DESTDIR)$(BINPREFIX)

install-man: man/imdb-get.1 man/imdb-rename.1 man/imdb-link.1 man/imdb-update-cache.1 man/imdb-fxd.1 man/imdbgetrc.5 man/imdb.1
	install -d $(DESTDIR)$(MANPREFIX)
	install -d $(DESTDIR)$(MANPREFIX)/man1
	install -m 644 man/imdb.1 $(DESTDIR)$(MANPREFIX)/man1
	install -m 644 man/imdb-get.1 $(DESTDIR)$(MANPREFIX)/man1
	install -m 644 man/imdb-rename.1 $(DESTDIR)$(MANPREFIX)/man1
	install -m 644 man/imdb-link.1 $(DESTDIR)$(MANPREFIX)/man1
	install -m 644 man/imdb-update-cache.1 $(DESTDIR)$(MANPREFIX)/man1
	install -m 644 man/imdb-fxd.1 $(DESTDIR)$(MANPREFIX)/man1
	install -d $(DESTDIR)$(MANPREFIX)/man5
	install -m 644 man/imdbgetrc.5 $(DESTDIR)$(MANPREFIX)/man5

install-doc: INSTALL README COPYING changelog
	install -d $(DESTDIR)$(DOCPREFIX)
	install -m 644 $^ $(DESTDIR)$(DOCPREFIX)

dist: .dist

.dist: changelog imdbgetrc.sgml imdb-link.sgml todo COPYING imdb-rename.sgml imdb-link.sh imdb-update-cache.sgml imdb-get.sgml imdb-rename.sh Makefile imdb-update-cache.sh imdb-get.sh imdb.sh imdb.sgml INSTALL README imdb-fxd.sh imdb-fxd.sgml
	mkdir -p imdb-tools-$(VERSION)
	cp $^ imdb-tools-$(VERSION)
	touch .dist

imdb-tools-$(VERSION).tar.gz: .dist
	tar zcf imdb-tools-$(VERSION).tar.gz imdb-tools-$(VERSION)

tar: imdb-tools-$(VERSION).tar.gz

## imdb-tools 0.9

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 MANPREFIX?=$(PREFIX)/share/man
 DOCPREFIX?=$(PREFIX)/share/doc/imdb-tools
 
-VERSION=0.5
+VERSION=$(shell sed -n '1s/Version \(.*\):/\1/p' changelog)
 
 all: man bin

=== debian/changelog ===
imdb-tools (0.9-1) unstable; urgency=low

  * New upstream release (Closes: #591774)
  * Bump standards and compat versions
  * Move to source format 3.0

 -- Matthew Johnson <mjj29@debian.org>  Thu, 05 Aug 2010 16:38:47 +0100

imdb-tools (0.8-1) unstable; urgency=low

  * New upstream release (Closes: #519603, LP: #313260)

 -- Matthew Johnson <mjj29@debian.org>  Sat, 14 Mar 2009 10:44:52 +0000

imdb-tools (0.7-1) unstable; urgency=low

  * New upstream release (Closes: #486390, #486393)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 22 Jun 2008 23:14:31 +0100

imdb-tools (0.6-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version

 -- Matthew Johnson <mjj29@debian.org>  Thu, 20 Mar 2008 11:11:31 +0000

imdb-tools (0.5-1) unstable; urgency=low

  * New upstream version
    - works with new IMDB search page format
    - fix minor aesthetic bug
  * Update maintainer address 

 -- Matthew Johnson <mjj29@debian.org>  Wed, 05 Dec 2007 10:24:03 +0000

imdb-tools (0.4-2) unstable; urgency=low

  * Add watch file 

 -- Matthew Johnson <debian@matthew.ath.cx>  Thu,  9 Aug 2007 12:30:18 +0100

imdb-tools (0.4-1) unstable; urgency=low

  * New Upstream Release
  * Explain IMDB in long description

 -- Matthew Johnson <debian@matthew.ath.cx>  Tue, 29 May 2007 14:19:59 +0100

imdb-tools (0.3-1) unstable; urgency=low

  * New upstream release fixing data loss bug
  * Remove lintian file and full stops
  * Closes: #413406

 -- Matthew Johnson <debian@matthew.ath.cx>  Sun,  4 Mar 2007 19:54:15 +0000

imdb-tools (0.2-1) unstable; urgency=low

  * New Upstream Release.
  * Packaging with DESTDIR properly now
  * arch=all not arch=any
  * Build in -indep not -arch 

 -- Matthew Johnson <debian@matthew.ath.cx>  Tue, 28 Nov 2006 13:44:09 +0000

imdb-tools (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Matthew Johnson <debian@matthew.ath.cx>  Sun,  19 Nov 2006 21:22:09 +0000

=== debian/control ===
Source: imdb-tools
Section: utils
Priority: optional
Maintainer: Matthew Johnson <mjj29@debian.org>
Build-Depends: debhelper (>= 7.0.0), docbook-to-man
Standards-Version: 3.9.1

Package: imdb-tools
Architecture: all
Depends: curl, realpath, tidy
Description: Lookup film details on IMDB
 The IMDB tools lookup film details on the Internet Movie Database:
 www.imdb.com, cache them and associate the details with filenames.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	
	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr bin man
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	# Add here commands to install the package into debian/imdb-tools.
	$(MAKE) DESTDIR=$(CURDIR)/debian/imdb-tools PREFIX=/usr install
	# installed by upstream, not needed in Debian
	rm -f $(CURDIR)/debian/imdb-tools/usr/share/doc/imdb-tools/COPYING
	rm -f $(CURDIR)/debian/imdb-tools/usr/share/doc/imdb-tools/INSTALL


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.matthew.ath.cx/projects/imdb-tools (?:.*/)?imdb-tools-?_?([\d+\.]+|\d+)\.tar.* debian uupdate
